---
title: "Create a subscription training key"
slug: "create-a-subscription-training-key"
updated: 2024-10-25T18:04:27Z
published: 2026-02-10T22:32:35Z
canonical: "docs.skillable.com/create-a-subscription-training-key"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a subscription training key

Get/CreateSubscriptionTrainingKeys

Allows you to create one or more unique subscription training keys.

SecurityAPI Key: api_keyHeader parameter nameapi_key

Query parametersorganizationIdinteger (int32) 

The Id of the related organization. If not supplied then the related API consumer organization Id will be used.

subscriptionProfileIdinteger (int32) Required

The Id of the related subscription profile.

expirationDateinteger (int64) Required

When the subscription training key expires (in Unix epoch time).

maxKeyUsesinteger (int32) 

The maximum number of uses for the related subscription training key. If not supplied then only a single use will be allowed.

contentExpirationDateinteger (int64) 

If supplied (in Unix epoch time) then this setting overrides the expiration date and sets the Content Availability Override checkbox.

trainingKeysstring

A comma-separated list of subscription training keys unique to the Skillable TMS. If not supplied then a set of unique training keys will be auto-created based on the numberOfKeys parameter.

numberOfKeysinteger (int32) 

The number of subscription training keys to be created. If not supplied then a single training key will be created that is unique to the Skillable TMS. If the trainingKeys parameter is supplied then this parameter will be ignored.

Responses200

OK Response

<select class='api-response-data' aria-label='Media type'><option value='719714e0-1151-4700-b39d-e639328a734a'>application/json</option>
</select>Expand Allobject  Statusinteger  (int32)    

Indicates the status of the API request.

0 = Success 10 = Error 20 = Not found 30 = Invalid integration key

Example10
Errorstring   | null  

Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10).

CreateSubscriptionsResults Array of object (CreateSubscriptionTrainingKeyResult)   

See CreateSubscriptionsResult.

object  Idinteger  (int32)    

The ID of the created Subscription Training Key.

Example45632
trainingKeystring    

The Subscription Training Key that has been created.

ExampleE3G5YZFREFEQ9371
